Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class FuncDocument

    java.lang.Object
      |
      +--org.apache.xalan.xpath.Function
            |
            +--org.apache.xalan.xslt.FuncDocument

public class FuncDocument
extends Function

**For advanced use only** Execute the Doc() function. When the document function has exactly one argument and the argument is a node-set, then the result is the union, for each node in the argument node-set, of the result of calling the document function with the first argument being the string-value of the node, and the second argument being a node-set with the node as its only member. When the document function has two arguments and the first argument is a node-set, then the result is the union, for each node in the argument node-set, of the result of calling the document function with the first argument being the string-value of the node, and with the second argument being the second argument passed to the document function.

Constructor Summary
`FuncDocument()` **For advanced use only**

Method Summary
`void` | `error(XPathSupport execContext, int msg, java.lang.Object[] args)` **For advanced use only** Tell the user of an error, and probably throw an exception.
`XObject` | `execute(XPath path, XPathSupport execContext, org.w3c.dom.Node context, int opPos, java.util.Vector args)` **For advanced use only** Execute the function.
`void` | `warn(XPathSupport execContext, int msg, java.lang.Object[] args)` **For advanced use only** Warn the user of a problem.

Methods inherited from class org.apache.xalan.xpath.Function
`execute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncDocument

    public FuncDocument()

Method Detail

### execute

    public XObject execute(XPath path,
                           XPathSupport execContext,
                           org.w3c.dom.Node context,
                           int opPos,
                           java.util.Vector args)
                    throws org.xml.sax.SAXException

  **For advanced use only** Execute the function. The function must return a valid object.
  Parameters:
    `path` - The executing xpath.
    `context` - The current context.
    `opPos` - The current op position.
    `args` - A list of XObject arguments.
  Returns:
    A valid XObject.
  Overrides:
    execute in class Function

### error

    public void error(XPathSupport execContext,
                      int msg,
                      java.lang.Object[] args)
               throws org.xml.sax.SAXException

  **For advanced use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### warn

    public void warn(XPathSupport execContext,
                     int msg,
                     java.lang.Object[] args)
              throws org.xml.sax.SAXException

  **For advanced use only** Warn the user of a problem.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.